static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] odg = new string[n];
            for (int i = 0; i < n; i++)
            {
                int z = int.Parse(Console.ReadLine());
                int[] x = Console.ReadLine().Split().Select(o => int.Parse(o)).ToArray();
                int[] y = Console.ReadLine().Split().Select(o => int.Parse(o)).ToArray();
                for (int j = 0; j < z; j++)
                {
                    for (int k = 0; k < z; k++)
                    {
                        if (x[j]==-y[k])
                        {
                            odg[i] = (j%2!=k%2)?"DA":"NE";
                        }
                        if (x[j] == y[k])
                        {
                            odg[i] = (j % 2 == k % 2) ? "DA" : "NE";
                        }
                    }
                }
            }
            for (int i = 0; i < odg.Length; i++)
            {
                Console.WriteLine(odg[i]);
            }
            

        }